package com.xunmei.core.resumption.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.xunmei.common.core.utils.DateHelper;
import com.xunmei.core.resumption.domain.Resumption;
import com.xunmei.core.resumption.dto.ResumptionTaskDataDto;
import com.xunmei.core.resumption.dto.TaskDetailsDto;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Service;

import java.util.List;
import java.util.Map;

/**
 *
 */
public interface ResumptionService extends IService<Resumption> {
    List<Map<String, Object>> findDayTaskList(int year, int quarter, String dateTime, Long roleId, Long orgid);

    List<Map<String, Object>> findMonthTaskList(int year, int month, int type, Long roleId, Long orgid, int quarter);
    List<Map<String, Object>> findYearTaskList(int year, int type, Long roleId, Long orgid,int quarter);

    Resumption findOneByTaskIdAndDate(TaskDetailsDto request);
    Resumption findOneByTaskIdAndDate(ResumptionTaskDataDto request);
    List<Map<String, Object>> findOneByTaskId(TaskDetailsDto request);
    void updateResumption(@Param("resumption") Resumption resumption);
}
